import CategoryFilter from './CategoryFilter';
import Likes from './Likes';
import ScrollBrowser from './ScrollBrowser';

export default class SgNews {

	constructor() {
		const newsList = document.querySelector('#tx-sgnews-newslist');
		if (newsList) {
			new CategoryFilter(newsList);
		}

		const likesContainer = document.querySelector('#tx-sgnews-likes');
		if (likesContainer) {
			new Likes(likesContainer);
		}

		const scrollBrowserElement = document.querySelector('.tx-sgnews-pagebrowser');
		if (scrollBrowserElement) {
			new ScrollBrowser(scrollBrowserElement);
		}
	}
}
